summaryrefslogtreecommitdiffstats
path: root/target/default/target_skeleton/etc/init.d/S20urandom
diff options
context:
space:
mode:
authormbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-02-06 00:46:40 +0000
committermbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-02-06 00:46:40 +0000
commit4aba84e6f06f55c77ff8dbbcf0de172c6c14d03b (patch)
treeee56eb0fade1d3a9b63505f1ba2a2629e295969f /target/default/target_skeleton/etc/init.d/S20urandom
parent8f7eb15b654ac35da235176283e417256e41bb84 (diff)
obsolete uclibc root skeleton
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@210 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'target/default/target_skeleton/etc/init.d/S20urandom')
-rwxr-xr-xtarget/default/target_skeleton/etc/init.d/S20urandom44
1 files changed, 0 insertions, 44 deletions
diff --git a/target/default/target_skeleton/etc/init.d/S20urandom b/target/default/target_skeleton/etc/init.d/S20urandom
deleted file mode 100755
index 433fafee4..000000000
--- a/target/default/target_skeleton/etc/init.d/S20urandom
+++ /dev/null
@@ -1,44 +0,0 @@
-#! /bin/sh
-#
-# urandom This script saves the random seed between reboots.
-# It is called from the boot, halt and reboot scripts.
-#
-# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
-#
-
-[ -c /dev/urandom ] || exit 0
-#. /etc/default/rcS
-
-case "$1" in
- start|"")
- if [ "$VERBOSE" != no ]
- then
- echo -n "Initializing random number generator... "
- fi
- # Load and then save 512 bytes,
- # which is the size of the entropy pool
- if [ -f /etc/random-seed ]
- then
- cat /etc/random-seed >/dev/urandom
- fi
- rm -f /etc/random-seed
- umask 077
- dd if=/dev/urandom of=/etc/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom start: failed."
- umask 022
- [ "$VERBOSE" != no ] && echo "done."
- ;;
- stop)
- # Carry a random seed from shut-down to start-up;
- # see documentation in linux/drivers/char/random.c
- [ "$VERBOSE" != no ] && echo -n "Saving random seed... "
- umask 077
- dd if=/dev/urandom of=/etc/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom stop: failed."
- [ "$VERBOSE" != no ] && echo "done."
- ;;
- *)
- echo "Usage: urandom {start|stop}" >&2
- exit 1
- ;;
-esac